Go back to feed with "Continue Reading" block after re-opening the app
Closed, ResolvedPublic3 Story Points

Description

To bring focus on Home screen in the app, when a user leaves the app from article view and opens the app again after certain time (time to be decided) we need to go back to the home tab -> update the feed -> and show what the user was reading earlier


Acceptance Criteria

Background

Given I have read article X
And I have put the app in the background

Scenario: launch app w/in 24 hours

Given less than or equal to 24 hours have passed since entering the background
When I resume the app
Then I should see the previous state (i.e. no action taken)

Given the app was terminated while in the background
And less than or equal to 24 hours have passed since entering the background
When I launch the app
Then I should see article X (pushed on the Home tab for now)
And it should be scrolled to where I left off

Scenario: launch app after 24 hours

Given more than 24 hours have passed since entering the background
When I resume or launch the app
Then I should see the Home view
And I should see a "Continue Reading" section containing article X
And it should be scrolled to where I left off

Continue Reading View

Given I see a “Continue Reading” section for $title
When $title has a Wikidata $description
Then I can see the $description below the $title

Related Objects

Nirzar created this task.Sep 18 2015, 5:46 PM
Nirzar updated the task description. (Show Details)
Nirzar raised the priority of this task from to Needs Triage.
Nirzar assigned this task to Fjalapeno.
Nirzar removed Fjalapeno as the assignee of this task.Sep 18 2015, 6:10 PM
Nirzar set Security to None.
KHammerstein updated the task description. (Show Details)

For dismissal:

  • No strong use case since this is a small and transient element
  • if there is a dismissal it should use the same dismissal mechanism as other feed elements (overflow menu or swipe to delete gesture)

For now, this should be implemented as spec'ed, except for the dismissal...

JMinor triaged this task as Normal priority.Oct 5 2015, 8:47 PM
JMinor added a project: iOS-app-v5-alpha.
Nirzar added a comment.Oct 6 2015, 9:41 PM

@Fjalapeno

taked to Josh -skipping the close button for this. Going to implement that with the rest of the dismiss section logic.

Also adding Facebook tweaks to make it easier to test this feature. Since it is time dependent - it would be 24 hours before anyone can actually see the continue reading section.

Scenario: launch app w/in 24 hours

Checked with 5.0.0 (411) on iPad mini iOS 8.2 and iPhone 5 iOS 9.02

Scenario: launch app after 24 hours

Checked with 5.0.0.434

After >24 returning to Home screen, suggested articles do not have lead images displayed. Filed as T116343(needs to be re-checked with the most recent build).

@Etonkovidova @Fjalapeno We need wikidata descriptor below the article title, the implementation shows article extract. can we replace it?

Fjalapeno reassigned this task from Fjalapeno to JMinor.Nov 2 2015, 5:31 PM
Fjalapeno added a subscriber: Fjalapeno.

it looks like two deviations from the mock are being requested:

Adding of the lead image.
Adding a Wikidata descriptor.

@JMinor We briefly discussed this the other day - the mocks and the spec are in conflict here. Can you coordinate and clarify this changes and make sure any resolutions are added to the spec?

Note: If we want to make the continue reading clock the same as the rest of the "cards", it is fairly quick for us to do (1 point of work).

Style comments / opinion:
Making the "continue reading" card large will significantly push the rest of the home content down the page. The primary purpose of the "large" cards with images and wikidata descriptions is to entice users to engage with new content. Since the user has already starting reading this content, I am not sure its worth the trade off of pushing other new content down below the fold.

Nirzar added a comment.Nov 2 2015, 5:41 PM

@Fjalapeno @JMinor the mock showed only title and wikidata descriptor and i think we should go with that, we dont need the lead image here for reasons mentioned by @Fjalapeno. Can we make changes to the spec?

JMinor added a comment.Nov 2 2015, 5:50 PM

Agreed all around. Will update written spec.

Sounds good - thanks!

Fjalapeno removed JMinor as the assignee of this task.
JMinor updated the task description. (Show Details)Nov 2 2015, 6:25 PM

Needs to be updated to remove the snippet and replace it with the wikidata description

Checked with 5.0.0(474)on iPad mini iOS 8.2
from @Nirzar

the mock showed only title and wikidata descriptor and i think we should go with that, we dont need the lead image here for reasons mentioned by @Fjalapeno

JMinor closed this task as Resolved.Nov 18 2015, 8:22 PM